Main Page Groups Namespaces

# sigc::lambda_operator_convert< T_action, T_type, T_arg > Struct Template Reference

Inheritance diagram for sigc::lambda_operator_convert< T_action, T_type, T_arg >:

[legend]
List of all members.

## Public Types

typedef lambda<T_arg>::lambda_type | arg_type
typedef lambda_action_convert_deduce_result_type< T_action, T_type, typename arg_type::result_type >::type | result_type

## Public Member Functions

result_type | operator() () const
template<class T_arg1>
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_1) const
template<class T_arg1>
deduce_result_type< T_arg1 >::type | sun_forte_workaround (T_arg1 _A_1) const
template<class T_arg1, class T_arg2>
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2>
deduce_result_type< T_arg1, T_arg2 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
| lambda_operator_convert (typename type_trait<T_arg>::take a)

## Public Attributes

arg_type | arg_

## Classes

struct | deduce_result_type

### template <class T_action, class T_type, class T_arg>
struct sigc::lambda_operator_convert< T_action, T_type, T_arg >

## Member Typedef Documentation

template <class T_action, class T_type, class T_arg>
typedef lambda<T_arg>::lambda_type sigc::lambda_operator_convert<T_action, T_type, T_arg>::arg_type

template <class T_action, class T_type, class T_arg>
typedef lambda_action_convert_deduce_result_type<T_action, T_type, typename arg_type::result_type>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::result_type

## Constructor & Destructor Documentation

template <class T_action, class T_type, class T_arg>
sigc::lambda_operator_convert<T_action, T_type, T_arg>::lambda_operator_convert | ( | typename type_trait<T_arg>::take | a | ) | `[inline]`

## Member Function Documentation

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3>
deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2>
deduce_result_type<T_arg1,T_arg2>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1>
deduce_result_type<T_arg1>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::operator() | ( | T_arg1 | _A_1 | ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
lambda_operator_convert<T_action, T_type, T_arg>::result_type sigc::lambda_operator_convert<T_action, T_type, T_arg>::operator() | ( |  | ) | const

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2, class T_arg3>
deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1, class T_arg2>
deduce_result_type<T_arg1,T_arg2>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2
| ) | const`[inline]`

template <class T_action, class T_type, class T_arg>
template <class T_arg1>
deduce_result_type<T_arg1>::type sigc::lambda_operator_convert<T_action, T_type, T_arg>::sun_forte_workaround | ( | T_arg1 | _A_1 | ) | const`[inline]`

## Member Data Documentation

template <class T_action, class T_type, class T_arg>
arg_type sigc::lambda_operator_convert<T_action, T_type, T_arg>::arg_

The documentation for this struct was generated from the following file:

- operator.h